================================================================================
            Intel(R) Server Platform BIOS Release Notes
================================================================================

INTEL(R) Server Boards and Systems
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

================================================================================

DATE    : Dec. 27 2018
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version 01.01.0027 

================================================================================
                           LEGAL INFORMATION
================================================================================

INFORMATION IN THIS DOCUMENT IS PROVIDED IN CONNECTION WITH INTEL PRODUCTS. NO
LICENSE, EXPRESS OR IMPLIED, BY ESTOPPEL OR OTHERWISE, TO ANY INTELLECTUAL
PROPERTY RIGHTS IS GRANTED BY THIS DOCUMENT. EXCEPT AS PROVIDED IN INTEL'S TERMS
AND CONDITIONS OF SALE FOR SUCH PRODUCTS, INTEL ASSUMES NO LIABILITY WHATSOEVER
AND INTEL DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY, RELATING TO SALE AND/OR USE
OF INTEL PRODUCTS INCLUDING LIABILITY OR WARRANTIES RELATING TO FITNESS FOR A
PARTICULAR PURPOSE, MERCHANTABILITY, OR INFRINGEMENT OF ANY PATENT, COPYRIGHT OR
OTHER INTELLECTUAL PROPERTY RIGHT.

A "Mission Critical Application" is any application in which failure of the Intel
Product could result, directly or indirectly, in personal injury or death. SHOULD
YOU PURCHASE OR USE INTEL'S PRODUCTS FOR ANY SUCH MISSION CRITICAL APPLICATION,
YOU SHALL INDEMNIFY AND HOLD INTEL AND ITS SUBSIDIARIES, SUBCONTRACTORS AND
AFFILIATES, AND THE DIRECTORS, OFFICERS, AND EMPLOYEES OF EACH, HARMLESS AGAINST
ALL CLAIMS COSTS, DAMAGES, AND EXPENSES AND REASONABLE ATTORNEYS' FEES ARISING OUT
OF, DIRECTLY OR INDIRECTLY, ANY CLAIM OF PRODUCT LIABILITY, PERSONAL INJURY, OR
DEATH ARISING IN ANY WAY OUT OF SUCH MISSION CRITICAL APPLICATION, WHETHER OR NOT
INTEL OR ITS SUBCONTRACTOR WAS NEGLIGENT IN THE DESIGN, MANUFACTURE, OR WARNING OF
THE INTEL PRODUCT OR ANY OF ITS PARTS.

Intel may make changes to specifications and product descriptions at any time,
without notice. Designers must not rely on the absence or characteristics of any
features or instructions marked "reserved" or "undefined". Intel reserves these for
future definition and shall have no responsibility whatsoever for conflicts or
incompatibilities arising from future changes to them. The information here is
subject to change without notice. Do not finalize a design with this information.

The products described in this document may contain design defects or errors known
as errata which may cause the product to deviate from published specifications.
Current characterized errata are available on request.

Contact your local Intel sales office or your distributor to obtain the latest
specifications and before placing your product order.

Copies of documents which have an order number and are referenced in this document,
or other Intel literature, may be obtained by calling 1-800-548-4725,
or go to: http://www.intel.com/design/literature.htm

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2018 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : SE5C610.86B.01.01.0028
Build Date  : Dec. 17 2018

================================================================================
                           Supported Platforms
================================================================================
             S2600WT Family
             S2600KP Family
             S2600TP Family
             S2600CW Family
                           
================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported:
    Intel(R) Xeon(R) processor E5-2600 v3 series Processor
    Intel(R) Xeon(R) processor E5-2600 v4 series Processor
    
Microcode update versions:
CPUID     Version      Status
0x306f2   0x0000003e   Production (Haswell EP C0/C1)
0x406f1   0x0b000030   External   (Broadwell EP B0)

On-Board Component Option ROM Versions:
all_gigabit_pxe_v1.5.70.LOM - 1G PXE OpROM v1.5.70 (for all Intel Sever gigabit controllers, including LOMs and I/O modules)
all_10g_pxe_v2.3.41.LOM     - 10G PXE OpROM v2.3.41(for all Intel Sever 10G controllers, including LOMs and I/O modules)
all_iscsi_v3.0.48.LOM       - iSCSI Boot OpROM v3.0.48(for all Intel Sever gigabit and 10G PCSD controllers, including LOMs and I/O modules)
all_10g_fcoe_v1.8.17.LOM    - 10G FCoE OpROM v1.8.17(for Intel Sever 10G Niantic I/O module)
X540_Fcoe.LOM               - 10G FCoE OpROM v1.8.24(for Intel Sever 10G X540 controllers, including LOMs and I/O module)

E4702X4.EFI                 - 10G PCIe gigabit controller UEFI driver ver 4.7.02
E6604X3.EFI                 - 1G controller UEFI driver ver 6.6.04

sSataOrom.bin               - sSata RAID OpROM V4.3.0.1018
SataOrom.bin                - Sata RAID OpROM V4.3.0.1018
SataDriver.efi              - Sata UEFI RAID OpROM V4.3.0.1018
sSataDriver.efi             - sSata UEFI RAID OpROM V4.3.0.1018

ESRT2.ROM                   - ESRT II legacy OpROM A.14.10171446I
EfiSasDriver.efi            - ESRT II UEFI RAID OpROM 03250000

ACM				    : v03.01.00(PW version)
Reference Code Version              : v4.3.0


Management Engine Firmware Version  : 03.01.03.051

Security Revision                     : 1010

================================================================================
                            INSTALLATION NOTES
================================================================================
WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

Firmware flash utility: iFlash32_V14_0_Build12

1.User can update BIOS flash image via either one of the follow methods...
  A. UEFI iFlash32

    1.) Copy the entire contents of the Package file to the HDD or USB flash drive
        (All of the files must reside in the same directory)
    2.) Boot to UEFI Shell, then change the Shell to the mapped device file system
        Example: Shell> fs0: (or fs1:)
    3.) Run Startup.nsh for update BIOS (ME and FD included), BMC, and FRUSDR all-together
		or select one of the folllowing options to upgrade components independently
		updALL.nsh for BIOS, ME and FD region upgrades only
        updBIOS.nsh, updME.nsh and updFD.nsh for each region upgrade respectively
		updBMC.nsh to update BMC only
        updFRUSDR.nsh to update the FRUSDR only
        
    4.) Reboot system after the update is completed
    5.) Do *NOT* interrupt the BIOS POST during the first boot

2.BIOS update under recovery mode as below methods
  The USB media is necessary for primary BIOS upgrade and must contain the following
  files under the root directory, you can capture all the ingredients from BIOS
  release package:
  
    Copy the entire contents of the Package file to the HDD or USB flash drive
    (All of the files must reside in the same directory)

  A: USB media inserted AFTER performing a recovery boot
    1.) Under Shell, type "map -r" to map all Drives/USB devices
    2.) Change the Shell to the mapped USB device
        Example: Shell> fs0: (or fs1:)
    3.) Execute the Startup.nsh scripts, wait for the update to complete
    4.) Power OFF the system, and revert the recovery jumper position back 
        to "normal operation"
    5.) Power ON the system
    6.) Do *NOT* interrupt the BIOS POST during the first boot

  B: USB media inserted PRIOR performing a recovery boot
    1.) Power ON the system, it will boot automatically into EFI Shell
        to invoke the Startup.nsh script
    2.) After the update is completed, there will be a message displayed that the 
        "ME Firmware and BIOS updates have completed" indicating the recovery process 
        is finished. Then Power OFF the system, switch the recovery jumper back to 
        normal operation, and finally, Power ON the system
    3.) Do *NOT* interrupt the BIOS POST during the first boot  

Notes: If to update backup BIOS region, you need to customize the iflash32 update
       scripts and add "UpdateBackupBios" parameter
Notes: Setup variable structure has been changed in E5-2600V4 BIOS. If downgrading E5-2600V4 BIOS
       to lower versions or E5-2600V3 BIOS, please add 'UpdateNvram' parameter in BIOS Recovery Mode.
Note:  Removed 'UpdateNvram' support for iflash32 tool for security reason.
Note:  If User customizes ITK capsule and BIOS admin password is set, BIOS SMI handler requires 
       extra parameter of "password" in iFlash32 mail box: e.g. iFlash32.efi -u Bios.cap Password=intel@123 -ni, 
       no requirement when BIOS admin password is not set or standard BIOS release capsule is used.
Note: If BIOS version on SUT is older than R01.01.0009, then please update to R01.01.0009 firstly for further update.
Note: If downgrade to BIOS version R01.01.0008 or older, please switch to Recovery Mode if online method is used.

================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================
The Recovery process can be initiated by setting the recovery jumper
(called BIOS Recovery Boot Jumper)

A BIOS recovery can be accomplished from the backup BIOS region.

BIOS starts the recovery process by first loading and booting to the recovery image
from backup BIOS region. This process takes place before any video or console is
available. Once the system boots to recovery image.

The following steps demonstrate this recovery process:
   1.  Power OFF the system
   2.  Switch the recovery jumper. Details regarding the jumper ID and location
       can be obtained from the Server Board TPS for that Platform
   3.  Power ON the system
   4.  The BIOS POST screen will appear displaying the progress and the system
       will automatically boot to the EFI SHELL
   5.  Follow the BIOS recovery update manual for BIOS recovery.


================================================================================
			ME FW Capsule INSTALLATION NOTES
================================================================================
WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

!!!!! Please make sure AC Power is plugged in during the update !!!!!
!!!!! AC Power failure during the update may, unrecoverably, damage your system !!!!!

User can update ME image via either of the follow methods:

    1.) Copy the entire contents of the Package file to the HDD or USB flash drive
        (All of the files must reside in the same directory)
    2.) Boot to UEFI Shell, then change the Shell to mapped device file system
        Example: Shell> fs0: (or fs1:)
    3.) Use updME.nsh and updFD.nsh for ME and FD FW upgrade
    4.) Reboot system after the update is completed
    
================================================================================
			IMPORTANT NOTICE
================================================================================
1. The BIOS R01.01.0002 auto scripts will force to update both normal and backup
   BIOS region since security revision was updated, once user upgrade BIOS to
   R01.01.0002, it will prevent BIOS downgrade to previous version that with low
   security revision, user can use BIOS recovery mode for BIOS downgrade
2. The BIOS R01.01.0003 included security fix and security revision upgrade,
   refer to item #1
3. If doing online BIOS update to R01.01.0003, user must use the auto scripts
   enabled in the release package which will force update BIOS NVRAM and backup
   region
4. BIOS R01.01.0004 requires update of NVRAM and backup region
5. BIOS R01.01.0009 and R01.01.0011 will enable UEFI Secure Boot and include below limitations:
    - Please read "BIOS UEFI SECURE BOOT IMPACT AND MITIGATION METHOD" section in this
      BIOS release notes
    - All customer settings saved in BIOS NVRAM will be lost after new BIOS upgrade.
    - BIOS downgrade is not allowed if user has enabled BIOS secure boot. All customer
      setting will be lost also if downgrade to previous BIOS release.
    - Backup BIOS region is also required to be updated to prevent recovery failure
      please use release package to update BIOS.
    - There is downgrade hang risk if you don't follow above rules.
    - Further BIOS release will not suffer from these side effects as the NVRAM region
      is formatted as authenticated variable storage
6. System will hang 0xbf after downgrading BIOS from R01.01.0013(E5-2600V4 code tree) to R01.01.0011/R01.01.0009(E5-2600V3 code tree) randomly.
    -Set SUT to recovery mode to power on, then set it back to normal boot to see whether it is recovered.
7. BIOS R01.01.0013 The iFlash32 utility parameter of 'UpdateNvram' is not supported under Normal Mode, however it is only supported under Recovery Mode.
8. BIOS R01.01.0015 Design change from D076 for <PCIe correctable error threshold> to change default setting from <All> to <10>. 
              Need to press <F9> to see the new default string.
9. BIOS R01.01.0015 Suggest to press 'F9' to load default if using the 'IOU Non-posted prefetch control' setup options in the first time.
10.BIOS R01.01.0016 BIOS had added command line support to clean ITK customization settings with below notes. 
    1) Require iflash32 utility updated (>=V13.1 Build 8) to support command line. 
    2) Run ¡®iflash32 -ccs' to clear ITK customization setting. After reboot to BIOS setup, need to press F9 to load default to see the clear operation.
11. If updating BIOS to R01.01.0013 to R01.01.0016 version, it is required to 'load default' to make the new setup option 'Snooped Response Wait Time for Posted Prefetch' work.
12. Security revision upgrade on R01.01.0018, it will prevent BIOS downgrade via normal mode to previous version that with lower security revision, user can use BIOS recovery mode for BIOS downgrade
13. The BIOS R01.01.0018 included security fix and security revision upgrade.
    Once user upgrade BIOS to R01.01.0018, it will prevent BIOS downgrade to previous version that with low security revision, user can use BIOS recovery mode for BIOS downgrade
14. Security revision upgrade on R01.01.020, it will prevent BIOS downgrade via normal mode to previous version that with lower security revision, user can use BIOS recovery mode for BIOS downgrade
15. iFlash32 need to upgrade to latest revision v14.0 build10 from BIOS R01.01.020
16. Use I/O Quick Data(also known as CBDMA) feature to access PCIe MMIO space, such as NTB or PCIe bridge, user may observe I/O performance drop during stress test.
    The reason is under debug, the workaround is to disable Relax Ordering feature.
17 iFlash32 need to upgrade to latest revision v14.0 build11 or later version if user want to downgrade BIOS from BIOS D0181 to earlier version
18. Old revision Iflash32 ,syscfg ,OFU utility, SELViewer, Sysinfo will lead to system hang on R0021 or further BIOS release. These utilities need to upgrade to latest revision iFlash32_V14_0_Build11, Syscfg_V14_0_Build15, OFU_V14_0_Build14, SELViewer_v14_0_Build18, Sysinfo_V14_0_Build18. 
19. Security revision upgrade on R01.01.0024 it will prevent BIOS downgrade via normal mode to previous version that with lower security revision, user can use BIOS recovery mode for BIOS downgrade
20. 19. Security revision upgrade on R01.01.0027 it will prevent BIOS downgrade via normal mode to previous version that with lower security revision, user can use BIOS recovery mode for BIOS downgrade

================================================================================
     BIOS UEFI SECURE BOOT IMPACT AND MITIGATION METHOD
=================================================================================
1. Customer Setting Loss Issue and Mitigation Method
    When user upgrades BIOS with secure boot feature, the NVRAM will be automatically
  formatted as authenticated variable physical storage. However, all previous customer
  settings storage in NVRAM will be lost even if user does not enable UEFI secure boot
  feature.
    Users can take the follow recipe to save and restore their settings based on
  the actual NVRAM usage if they wish to upgrade or downgrade between BIOS with or
  without secure boot feature.
    Supposing customer requires to save & restore their specific NVRAM named 'var':
  Steps:
  1. Prepare FAT partition USB key (or HDD).
  2. Boot to EFI shell.
  3. Check the file system mapping (e.g. fs0:) of the USB key with 'map -r' command.
  4. Use 'dmpstore var -s fs0:\var.bin' to save the variable to the physical file.
  5. Perform BIOS update and reboot system.
  6. Boot to EFI shell.
  7. Use 'dmpstore var -l fs0:\var.bin' to restore the variable.
  8. Reboot the system if the customer setting requires reboot to take effect.

Notes:
  1. Immediate reboot after BIOS update is mandatory. Or the restore operation will
     not take effect.
  2. Customers can repeat step 4 and step 7 for several times if they need to save & restore
     multiple NVRAM variables.
  3. Most of BIOS customer settings by SysCfg can also be restored in this way. Customers
     can follow previous step1~8 by substituting 'Setup' for 'var' in the sample.
  4. For BIOS downgrade case, step7 cannot be used to restore authenticate variables
     (e.g. PK, KEK, DB, DBX) to non-authenticated NVRAM storage

2. Recovery Mode Failure
   There is known bug that it cannot POST successfully with authenticated NVRAM storage.
   This will cause platform recovery failure and permanent deny of service (PDOS) if the
   primary BIOS region gets corrupted for some reason. It is required to update backup BIOS
   region when upgrade BIOS capsule with secure boot feature.
Notes:
  For downgrade case, user is not required to update backup BIOS region as new
  BIOS with secure boot feature can handle NVRAM with old storage format:
  it will format it to new authenticated variable storage automatically.
  However, care must be taken when downgrading BIOS in recovery mode: After flashing
  BIOS without secure boot feature, user should restore recovery HW jumper immediately
  before platform reset.If platforms reset occurs before restoring recovery HW jumper,
  the backup BIOS will once again format NVRAM to new storage format, which will cause
  newly flashed BIOS (without secure boot feature) POST failure after user restores
  recovery HW jumper.

================================================================================
            FEATURES ADDED/REMOVED
================================================================================ 
================================================================================
                R01.01.0003  (Production Release)
================================================================================

================================================================================
                               R01.01.0004 (D633)
================================================================================
EPSD100026893   i350(Powerville) IOM OpROM doesn't load during post
EPSD100244275   Cannot enable TXT and receive BIOS POST Code 0xA100
EPSD100244186   Power Restore Delay Value minimum not long enough for BMC boot
                time
EPSD100244174   Security vulnerability on SMI GetVariable interface was captured
                by SeCOE
================================================================================
                R01.01.0004
================================================================================
EPSD100026935   The Default Value Of SOL And Console Redirection
EPSD100244254   Pre-Release 40G IOmodule fails the link margin test with concurrent
                traffic on slot2 IOM riser+carrier.
EPSD100244186   Power Restore Delay Value minimum not long enough for BMC boot time
EPSD100026931   Show error message when disabled boot devices
EPSD100244439   [X] Customized riser card on riser slot 2 can't detect InfiniBand*
                card
EPSD100244388   "Resume AC power loss" status in the file which is save by cmd
                "syscfg /s A.ini /f /b" won't be changed once change its status with
                syscfg.
EPSD100243547   Pre-release 40G IOmodule fails the link margin test with concurrent
                traffic on slot2 IOM riser+carrier.
EPSD100244367   Add 19.3 NIC package EFI driver and FCOE ROM
EPSD100244376   Syscfg /bldfs does not work same as BIOS F9 function to load default
                BIOS setting "Resume AC power loss" and "Shutdown Policy"
EPSD100244377   Syscfg /bldfs does not work same as BIOS F9 function to load default
                BIOS setting "Resume AC power loss"
EPSD100244374   Syscfg /bldfs does not work same as BIOS F9 function to load default
                BIOS setting "Resume AC power loss" and "Shutdown Policy"
EPSD100244379   Syscfg /bldfs does not work same as BIOS F9 function to load default
                BIOS setting "Resume AC power loss"
EPSD100244371   "Shutdown policy" and "Resume AC power loss" status in the file which
                is save by cmd "syscfg /s A.ini /f /b" won't be changed  once change
                their status with syscfg.
EPSD100244380   "Shutdown policy" and "Resume AC power loss" status in the file which
                is save by cmd "syscfg /s A.ini /f /b" won't be changed  once change
                their status with syscfg.
EPSD100244387   "Shutdown policy" and "Resume AC power loss" status in the file which
                is save by cmd "syscfg /s A.ini /f /b" won't be changed  once change
                its status with syscfg.
EPSD100244394   uEFI iSCSI Boot attempts can be saved without filling in the target name

================================================================================
                R01.01.0005
================================================================================
EPSD100244208   SEL intermittently reports therm trip

================================================================================
                R01.01.0006
================================================================================
EPSD100245152 SMBIOS problem cause the latest IDA7.17.RC6 boot failure with the
              12G SAS RS3LC bridge
EPSD100243827 The boot devices will increase if system reboot from RHEL7 aware
              UEFI and then the system will hang at high proportion
EPSD100026915 The Hdds couldn't be found on the RHEL7.0 when storage card 81605Z
              inserted in the test riser4_slot4_PCIex16.
EPSD100244480 The boot devices will increase if system reboot from RHEL7 aware UEFI
              and then the system will hang at high proportion
EPSD100243758 Display L2/L3 cache error detected on the RAID controller during post .
EPSD100026786 SUT can't boot to RHEL 6.5 x64 when enable "VT for Directed I/O" in
              BIOS setting.

================================================================================
				R01.01.0007
================================================================================
EPSD100245440   LAN1 link down when doing DC cycle test with ITAS

================================================================================
                R01.01.0008 (D691, D683, D670, D660)
================================================================================
EPSD100244480   The boot devices will increase if system reboot from RHEL7 aware
                UEFI and then the system will hang at high proportion
EPSD100243827   The boot devices will increase if system reboot from RHEL7 aware
                UEFI and then the system will hang at high proportion
EPSD100026786   SUT can't boot to RHEL 6.5 x64 when enable "VT for Directed I/O"
                in BIOS setting.
EPSD100026173   Driver Health Protocol (DHP) not working correctly on S2600WT
EPSD100244587   Incorrect ACPI table causes NUMA issues in Linux
EPSD100244594   System booted with only 1 QPI link trained, no errors reported
EPSD100026973   Dual port IB IOM G52882-351 is showed as "single-port" description
                in BIOS setup menu.
EPSD100243758   Display L2/L3 cache error detected on the RAID controller during post 
EPSD100244393   uEFI iSCSI boot configuration is lost after reboot
EPSD100244993   New ESRT2 OpROM and uEFI Driver
EPSD100245152   SMBIOS problem cause the latest IDA7.17.RC6 boot failure with the
                12G SAS RS3LC bridge
EPSD100244738   If Unplug USB scanner and then re-plug scanner back in ,USB scanner
                is inactive
EPSD100240251   Secondary SATA info loading before Primary SATA info
EPSD100244362   CCB# 273 :  QRE:  Reset after CATERR leaves system in a hung state"
                is open for annotation
EPSD100245307   Pressing multiple F6 from SOL skips through boot manager.
EPSD100244490   BIOS isn't reporting QPI link errors.
EPSD100027078   Help text "Intel(R) ESRT2 (LSI*)" RAID mode not match with BIOS.
EPSD100027079   Help text "Intel(R) ESRT2 (LSI*)" RAID mode not match with BIOS.
EPSD100027080   Help text "Intel(R) ESRT2 (LSI*)" RAID mode not match with BIOS.
EPSD100245480   TPM2.0 module can't work
EPSD100245498   TPM2.0 module can't work
EPSD100027076   [SMBIOS] Type 8 no information for NGFF (M.2) device
EPSD100245810   Syscfg_v13.1.4:a lot of invalid BIOS items displayed in syscfg.ini
                by command:syscfg /s syscfg.ini /f /b
EPSD100245811   Sysinfo_v13.1.5:a lot of invalid BIOS items displayed at 'BIOS Settings'
                part in sysinfo_log.txt by command:sysinfo -ni
EPSD100245884   New ESRT2 1.43 OpROM
EPSD100246585   USB Scanner can't work stably in EFI shell with Bios 691
    
                BIOS Workaround for 10G NIC OpROM issue
                Roll back PXE OpROM V2.3.30 and UEFI V4.5.19 update
                Remove 1.43 UEFI ESRT2 OpRom
                Security Fix: Smm range check for signed update
   

===============================================================================
Notes:
  As the code base has been changed due to E5-2600V4 support, R01.01.0009 to 
  R01.01.0012 are not shown in the E5-2600V4 aware BIOS release notes, 
  but the related fix is added. 

E5-2600V3: 
  R001 - R008 ==> R009, R010, R011, R012 ==> Discontinue for E5-2600V3 alone code base
     
E5-2600V3 + E5-2600V4:
  R001 - R008 ==> D001 - D0070 (Contains the fix in R009 to R012) ==> R013, R014, ...

================================================================================   
   
  
================================================================================
                D001
================================================================================
    RC sync to V1.61 release

================================================================================
                D002
================================================================================
    EPSD100027459   No SEL event when build memory Mirror from Independent mode.
    EPSD100027270   [E5-2600V4] After change a few items, then press F10 to save Setup menu, it will pop up a fail screen as picture.
    EPSD100027520   There's yellow mark in device manager and Add-in VGA missed.
    EPSD100027469   Setup Memory "Correctable Error Threshold" option value show "!".
    EPSD100027299   "Total Memory" information not correct in mirror/spare mode.
    EPSD100027300   "Total Memory" information not correct in mirror/spare mode.
    EPSD100027282   For user privilege,user still can change item [Enable CPU HWPM].
    EPSD100027283   The value of setup item "Active Processor Cores" cannot be changed

================================================================================
                D003
================================================================================
    EPSD100247219   [E5-2600V4] Syscfg does not work with E5-2600V4 BIOS
    EPSD100027371   [E5-2600V4]TXT - Trusted Boot run txt-stat utility - results error
    EPSD100027270   [E5-2600V4] After change a few items, then press F10 to save Setup menu, it will pop up a fail screen as picture.
    EPSD100028110/EPSD100028123/EPSD100028123   [E5-2600V4]There's no comment about it need to add "UpdateNvram" when downgrade to D001 in D002 release note.

================================================================================
                D004
================================================================================
    EPSD100028363   [E5-2600V4] E5-2600V4 ES2 QHUP CPU Cores will be changed after SUT reset.
    EPSD100028359   [E5-2600V4] BIOS setup item "Active Processor Core" will disappear when using E5-2600V4 ES2 QHUP CPU.
    EPSD100028377   [E5-2600V4] SMBIOS Type 17 cannot report correct memory speed.
    EPSD100028218   [E5-2600V4]After trigger SBE/MBE, SUT will hang up or can't normal reboot into windows.
    EPSD100247397   [E5-2600V4]BSOD displayed when boot to W2012R2 after change active processor cores and HT in SetUp.
    EPSD100028143   [E5-2600V4]Insert PCIe add-on card on CPU2 port 3a , SUT cannot boot into RHEL7.0 /Suse11.3 x64bit
    EPSD100247300   [E5-2600V4] "QPI Fatl Sensor events" logged in SEL
    EPSD100247194   [E5-2600V4] RS2WC080 causes the system to IERR when inserted into Riser Slot 1
    EPSD100028627   [E5-2600V4] ITP got error messages in status register.
    EPSD100028588   SUT will hang at POST when set BIOS setup item [Uncore Frequency Scaling] to Disabled.
    EPSD100028642   [E5-2600V4 There's SBE/MBE event in W2K12 R2 when Error Cloaking set as "Enable"

================================================================================
                D005
================================================================================
    EPSD100247222   [E5-2600V4] Populating more than 10 8GB DIMMs causes IERR before POST.
    EPSD100028852   [E5-2600V4] After change "Active Processor Cores" , then press F10 to save Setup menu, it will pop up a fail screen as picture.
    EPSD100028848   There's PPR Type / PPR Error Injection test in BIOS Setup menu.
    EPSD100028879   [E5-2600V4] DRIVER NAME not match IMAGE NAME in Driver list

================================================================================
                D006
================================================================================
    EPSD100028888   [E5-2600V4] F9 load default Confirm page will display twice.
    EPSD100028870   [E5-2600V4] Lost a lot of SMBIOS Information via PETs to dump data.
    EPSD100028873   [E5-2600V4] Cannot flash FUR/SDR by NSH file
    EPSD100028891   [E5-2600V4] USB Mass Storage Device will disappear when Press F9 to load default setting
    EPSD100028464   [E5-2600V4] Wrong label string when load default in Legacy Network Device Order page

================================================================================
                D0009
================================================================================
    EPSD100029213:[E5-2600V4] ME version not match release note when using iflash tool
    EPSD100029182:[E5-2600V4] SUT can't boot into Windows 2K12 when CPU1 insert 4 DIMMs w/ MFG mode.
    EPSD100028387:[E5-2600V4] Kernel-Processor-Power" error log in Windows System Event log.

================================================================================
                D0012
================================================================================
    Update ACM binary to version v02.07.01

================================================================================
                D0016
================================================================================
    update RSTOpROM to 4.3
    EPSD 100248789: [E5-2600V4]Win2008r2 SP1 can't install with UEFI mode in BIOS D004
    EPSD 100248324: Windows RSTe GUI will not start in UEFI mode.
    EPSD 100029047: Processor Thermal Trip is tiggered while heat DIMM's temperature to UC.
    Update E5-2600V3 ucode to 0x2e.
    EPSD 100028979: After RHEL 7.1(UEFI) OS installation by using 4Kn HDD as system disk, cannot reboot into OS.
    EPSD 100248578: (X) BMC WEB GUI does not display memory config with 64GB LRDIMMS.
    EPSD 100029220: The count of maximum USB mass storage devices cannot match with EPS description.
    EPSD 100029123:[R0009]System will display warning message when enable Cluster on Die
    EPSD 100028064: [24HDD] Suggest add/change some information of SMBIOS Data
    Add some HWPM related fix

================================================================================
                D0019
================================================================================
    UEFI Secure Boot sync: EPSD 100248718 : S2600WT - NVRAM clear fails when initiated in UEFI Secure Boot mode
    UEFI Secure Boot sync: EPSD 100028678 : [D730] SUT will get IERR event when enable secure boot via ITK or Syscfg
    UEFI Secure Boot sync: EPSD 100029185 :Clone of: [D748]Boot into unsign OS the Error Message will shortag
    UEFI Secure Boot sync: EPSD 100028683 : New failure item of SCT
    UEFI Secure Boot sync: Disable INT10 workaround in case secure boot has been enabled
    UEFI Secure Boot sync: Enhance secure boot error handler to cover RHEL 6.5 created boot option
    UEFI Secure Boot sync: Deploy formal secure boot keys 
    UEFI Secure Boot sync: Enable macro SECURE_BOOT_ENABLE
    EPSD 100248594 : [E5-2600V4]-sysinfo_13.1.9:some information shown nothing in F2 setup while sysinfo.log has shown
    RC sync to V 1.8.1


================================================================================
                D0024
================================================================================
    EPSD 100248918 : [E5-2600V4]-syscfg_v13.1.12: system can't reboot after run the command 'syscfg /bldfs '
    EPSD 100029348 : [E5-2600V4]System will hang ,when set CMOS jumper to pin2-3.
    roll back ME to 03.01.02.002
    EPSD 100247222 : [E5-2600V4] Populating more than 10 8GB DIMMs causes IERR before POST
    Create PCI-e CTLE setting hook routine and fill in correct values.
    EPSD 100029519 : [E5-2600V4]A fail screen will pop up when do F9 or change some setting,then press F10.
    EPSD 100249052 : [E5-2600V4] ACPI Table is published not correct when set "Enable CPU HWPM" = HWPM NATIVE MODE / HWPM OOB.
    EPSD 100029366 :[E5-2600V4]WHEAHCT Logo Test failed during Windows 2012 R2 WHQL test

================================================================================
                D0028
================================================================================
    Force to update WrCRC and WrCrcErrFlow setting.
    EPSD 100029490 /EPSD100029487 [E5-2600V4] The help Message of BIOS Setup item "Secure Boot Configuration" and "Attempt Secure Boot" cannot match with EPS 1.15
    update E5-2600V3 ucode to 0x32
    EPSD 100249057 : [E5-2600V4] BIOS Memory SPD dump information is not correct for DDR4 caused by offset mismatch with DDR4 spec
    EPSD 100029556 :[E5-2600V4] Latest E5-2600V4 CScript cannot be used with D0019 BIOS, but D0016 works well.
    EPSD 100029560 :[E5-2600V4] Enable SBO, sSTATA ESRT2 RAID didn't rollback the top of SBO after re-install HDDs.
    RC sync to V1.8.5
================================================================================
                D0036
================================================================================
    EPSD 100029609 : ME version is not correct ,when disabled Quiet Boot function.
    EPSD 100029576 : [E5-2600V4] SMBIOS Type 8 Serial Port type not correct.
    EPSD 100249098 : [E5-2600V4]Get abnornmal message while press F10 in BIOS setup with BKC D00019 BIOS
    S2600CW: Support for 4X4 PCIe bifurcation support on all X16 PCIe Slot
    EPSD 100249073 Problems with the static boot order on a S2600WT system with an Umbrel
    EPSD 100029365 : [E5-2600V4]USB Exposed Port System Test failed during Windows 2012 R2 WHQL test.
    W/A for some pcie gen2 link width not stable
    Add E5-2600V4 B0 uCode (0x0b000006)
    EPSD 100249090 NTB has the performance issue with BIOS R01.01.0008
    Remove E5-2600V4 B0 ucode
    EPSD 100029691 :[E5-2600V4] Variables didn't be clear by NVRAM reclaim function.
    EPSD 100029635 :[E5-2600V4]Error manager information not match EPS1.15 define when install Bad SPD DIMM.
    EPSD 100249249 : Can't install RHEL_7.1&SLES12 in ESRT2/RAID Controller (RS3DC080) with BKC BIOS.
    EPSD 100029520 :[E5-2600V4]Current Secure Boot State should be Enable when Press F9 to load default setting.
================================================================================
                D0044
================================================================================
    EPSD 100029647 / EPSD100029648/ EPSD100029650: [E5-2600V4]Onboard video function cannot enable when insert VGA card in Riser2 and Riser3
    EPSD 100029539 :[E5-2600V4]The PCIe root port of BSP will be hidden.
    EPSD 100249414 : [E5-2600V4]System get hang while press F10 to save and exit in BIOS Setup
    NO SIGHTING: Sync RC setup default settings.
    [EPSD 100249336 ]BIOS not populating all SMBIOS Type 17 information from ADATA AD4R2133Y16G15-BHYM DIMM
    Update ME to 03.01.03.004
    EPSD 100029520 :[E5-2600V4] System Boot Timeout value will not back to default setting when Clear CMOS by jumper.
    EPSD 100029782 :[E5-2600V4_D0037_Bx] SUT will get IERR when install OS process.
    Addendum to EPSD 100029782 :[E5-2600V4_D0037_Bx] SUT will get IERR when install OS process.

    Known Issues:
    [EPSD100249582][E5-2600V4] Micron MT72ASS4G72LZ-2G1A1 LRDIMMs cause correctable memory errors.
    [EPSD100249319][E5-2600V4] 32GB 2400MHz Samsung LRDIMM missed in MVL cycling test.
    [EPSD100249031][E5-2600V4][OS Install] Some error/fail messages display in the log after VMWare ESXi6.0 installed on AHCI controller.
    [EPSD100029164][E5-2600V4]Boot failed after sles11 sp3 x86  install finished in AHCI ESRTII raid1+SSATA ESRTII raid1 or SSATA ESRTII raid1+ AHCI ESRTII raid1.
    [EPSD100027916][E5-2600V4] window 2012 R2 64bit,exsit some errors in event log with new E5-2600V4 CPU.
================================================================================
                D0055
================================================================================
    EPSD 100029168 :[E5-2600V4]windows cannot be installed to disk1 when install windows2008r2
    EPSD 100249349 : DFT violation 2122, BIOS needs to fill out the Physical Slot Number field in the Slot Capabilities Register (Offset 14h) in PCI Config Space.
    EPSD 100249399:For unsupported PCIe riser card configuration, PCIe bifurcation setting should display as not support text instead of showing blank screen.
    EPSD 100029947 :[E5-2600V3] Spelling error "complated" in Intel BIOS DHP screen
    Sync with RC V2.0.0 release
    EPSD 100249031 :[E5-2600V4][OS Install] Some error/fail messages display in the log after VMWare ESXi6.0 installed on AHCI controller
    EPSD 100249435 :[E5-2600V3](X) Intel System BIOS DHP issue with Intel Hardware RAID controllers that have pinned cache
    IPS6000121610 Need to make PCIe configuration space change
    (CL282269)Sync IERR WA CR_1895,CR_1896 on E5-2600V4
    EPSD 100029296 BCP 24HDD PCIe SSD lost during ACDC cycling
    Add 3s delay for SSD no response
    EPSD 100029988 :[E5-2600V4]The Help Text of Enforce Recommended Memory Speed option not match EPS1.15
    [E5-2600V4]add a warning message when E5-2600V4 processor is populated
    Update E5-2600V3 CPU ucode to 0x36
    Addendum to CL283165
    Change the E5-2600V4 bootable bios warning message according to IVB refresh.
    addendum to CL282747
    CCB381: To add BIOS setup option to allow DPDK performance tuning for IIO snoop response hold off timep
    Roll back CL282269
    Remove E5-2600V4 A stepping ucode, add E5-2600V4 B stepping ucode
    Addendum to CL280589

================================================================================
                D0058
================================================================================
    Addendum to changelist 257407: Create PCI-e CTLE setting hook routine and fill in correct values
    EPSD100030087:[E5-2600V4 Reflesh] SUT hangs at 0xBF after downgrade BIOS from D0055 to R0009/R0011 randomly
    [E5-2600V4] Sync RC 2.4.0 release.
    Update E5-2600V4 B0 ucode
  
================================================================================
                D0064
================================================================================
    EPSD100249408: [x]BIOS does not honour ver 1 PCIe capabilities header on S2600WT platform
    BCP NVMe WA:<1>IIO delay training.<2> SBR to prevent PCIe link downgrade happen.
    EPSD100250188: BIOS not supporting Package C6
    remove the EPSD_2016_YEAR_DEBUG build option
    EPSD100250325:E5-2600V4 BIOS 0044 missing Aries support
    Install E5-2600V4 B0 CPU QPI and PCI-e CTLE value setting.
    EPSD100029367 On SAS SKU, press F9 to load default in UEFI mode, then press F10 to save Setup menu, it will pop up a fail screen as picture.
    The CTLE settings for E5-2600V4 B0 stepping processor
    [E5-2600V4] Sync with RC 2.9.0 early release.V269.D05
    EPSD100030019: [R1011] SMBIOS Type 17 Manufacturer string missed with NVDIMM - Viking.
    EPSD100030022: [R1011] SMBIOS Type 17 cannot report correct memory speed with NVDIMM - Smart.
    Add biosId manually for daily build.
================================================================================
                D0070
================================================================================
    EPSD100030146: [E5-2600V4] S2600WT with LRDIMM Rank Sparing mode Total Memory size not correct.
    EPSD100030015: [R1011] SUT will halt after change Syetem Date / Time to maximum value.
    EPSD100249435: [E5-2600V3] (X) Intel System BIOS DHP issue with Intel Hardware RAID controllers that have pinned cache.
    EPSD100250328/EPSD100250426: [E5-2600V4] TXT MeasuredLaunchEnvironment Function test fail on D0058 BIOS./Tboot result is "FALSE" with TPM2 on E5-2600V4.
    Remove 'UpdateNvram' support for iflash32 tool under normal mode.
    EPSD100110737 (X) PCR1 not constistent on TPMTXT Enabled S2600KP System.
    Update TXT ACM binary to v3.0.1(PW)
    Remove Extended ATR and Pfloor tuning setup menu for DCA IERR issue (TOR timeout symptoms).
    Update ME to  03.01.03.013
    Rollback ME to 03.01.03.05
    Update BIOSID to D0070
    Update ucode to 0b00000e for E5-2600V4 B stepping

================================================================================
				R0013
================================================================================
	Rename BIOS ID from D0070 to R0013, no any other code change.

===============================================================================
                R0014
================================================================================
    EPSD100251243:10% failure was found with wrong system time setting during S2600WT E5-2600V4 build.
================================================================================
				D0076
================================================================================
    addendum to CL284282: CCB381 
    Update ME to 03.01.03.018 
    Sync with RC 2.9.1 release 271_D02 
    Roll back CL276388 temporarily(Defect/ EPSD 100030186 ) 
    Enable NVDIMM support
    Remove E5-2600V4 warning message 
    EPSD 100030446 : [E5-2600V4][E5-2600V3 CPU]In BIOS Setup the FRU/SDR version not match EWS 
    EPSD 100250604 : IERR seen during L1 exit when run L1 stress test on SFF NVMe drive [FLASH] [E5-2600V4] 
================================================================================
				D0080
================================================================================
    EPSD100250557: [E5-2600V4]Correctable error is logged after only 1 time error injection with 'PCIe Correctable errorthreshold' as '5'.
    EPSD100110738: (X) PCR0 and TPM event log does not match on TPM/TXT Enabled S2600KP System
    S2600WT 1U Riser CCB77&78 Support
    EPSD100030378: [E5-2600V4] It will become cold boot when Press ctrl + Alt + Del to reset system in EFI Shell.
    EPSD100029367: [E5-2600V4]On SAS SKU, press F9 to load default in UEFI mode, then press F10 to save Setup menu, it will pop up a fail screen as picture
    EPSD100030533: [E5-2600V4][E5-2600V3 CPU][NVDIMM]SUT would hang at POST code 0x07 with NVDIMM-SMART when reboot by OS.
    [NO SIGHTING] Debug mode build failed due to not enough FV space.
    Update ME to 03.01.03.020
    Rollback ME to changelist 308024(ME18)
    EPSD100250425: TPM2 table platform class value error
    EPSD100250639: [X]BIOS shows the onboard IB module GUID and MAC address as all 0 in the NIC2 section in BIOS-> PCIe -> NIC management page.
================================================================================
				D0082
================================================================================
    EPSD100250978: [S2600WT] -- ME can't be reboot via "Global Resets"
    Sync with RC V2.9.5 esPV release
    CCB371: enable NTB Bar size option in BIOS configuration interface 
 ===============================================================================
                D0089
================================================================================
    EPSD100250649: [E5-2600V4] Enabling "SOL for baseboard mgmt" setting is not saved if any other settings were changed first 
    Addendum to CL316362
    EPSD100251151:[E5-2600V4][E5-2600V4 CPU] At EFI shell use dmem to check "Primary Bar 5 Size" and "Secondary Bar 5 Size" value not the same as you set at BIOS setup
    Sync with RC V3.0.0 full PV release
    Update ME to 03.01.03.021
    EPSD100030662: [E5-2600V4]"DIMM Thrm Mrgn" of sensors reading page will lost on EWS after BMC reset.
    [EPSD100251243]10% failure was found with wrong system time setting during S2600WT E5-2600V4 build. 
===============================================================================
                D0094
================================================================================
    PCIeGen2_20151030_Final_CheckIn 
    [EPSD 100251243]10% failure was found with wrong system time setting during S2600WT E5-2600V4 build. 
    CCB396: Make IOU non posted prefetch user visible in BIOS. 
    Addendum of RC V3.0.0 sync
    EPSD 100030350 _E5-2600V4 CPU PCIe margin by IEVT than less 2x5 spec. 
================================================================================
				D0100
================================================================================
    Correct the help text of "Restore NVDIMMs"
    PCI maximum bus issue for UINT8 to UINTN change
    EPSD100251269:[E5-2600V4][E5-2600V4 CPU] When inject WRCRC error, no "DDR4 CAP errors" appear.
    EPSD100030533/EPSD100031231 [E5-2600V4][E5-2600V3 CPU][NVDIMM]SUT would hang at POST code 0x07 with NVDIMM-SMART when reboot by OS.
    EPSD100251463: Production ESRT2 EFI driver for inclusion into BIOS.
    W/A for [E5-2600V4] 2400MHz LRDIMM size missed in power cycling test
    Change BIOS ID to D0100
================================================================================
                    D0103
================================================================================
Rollback CL331974, issue found with this new ESRT2 EFI Driver
EPSD100031270 CPU core display mismatch by changing BIOS CPU core setting.
Remove [Esc] key help string and change BIOS ID to D0103.
================================================================================
                    R0015
================================================================================
Rename BIOS ID from D0103 to R0015
================================================================================

                    D0107
================================================================================
EPSD100251854: Set the physicalPresenceLock to 0 in MFG mode to support platform certificate process
CCB402: BIOS and Utility to add command line support to clean ITK customization settings
EPSD100030692: [E5-2600V4] System would reset during OFU(OFU_V13_Build13_AllOS) updating process with RHEL 7.1.
NVDIMM SMBIOS type17 bug fix
CCB 397: To support maximum ( > 250) PCI bus number in Grantly CottonWood BIOS for customer
CCB 399: Enable BIOS options to use AMD graphics or Nvidia card adapters 
Update uCode to 0x14 to fix EPSD100249795 and EPSD100251863
one code logic error found for IOU2 Non-Posted Prefetch
Disable PCIe Ecrc due to silicon sighting b282685
CCB 396 issues - ITK cannot modify some items correctly
================================================================================
      				D0115
================================================================================
correct help string of "ARI Forwarding"
EPSD100031475 [E5-2600V4 CPU]BMC DHCP HOST NAME behavior is not matching EPS1.16.
EPSD100031504 [E5-2600V4 CPU][Riser]System will hang when remove SSD device under OS.
EPSD100251955 DMI type 41 records is not correct for onboard and IO module NICs.
Update E5-2600V4 Ucode to 00000037, E5-2600V4 Ucode to 0B000015.
fix some BIOS Setup Display Issues, which mismatch with BIOS EPS.
Sync the "CP_CR_1619 TPM2 bitlocker workaround for UEFI OS that synced from TPM1.2" from E5-2600V3 tree, will fix Bitlocker can¡¯t be enabled when PCR5 enabled in UEFI mode.
Change Copyright to 2016.
Update E5-2600V4 Ucode to 0B000017.
5003273: System would hang at post code 0xBF during DC cycle test after enabling WrCRC setup option.
EPSD100031629 The TPM2.0 test item have failure on WHCK test.
CCB 411: HFI UEFI Option ROM not loaded by Grantley Refresh BIOS on E5-2600V3 or E5-2600V4
EPSD100030788 [Riser] Supplemental Test#2 Issue.

================================================================================
      				R0016
================================================================================
Rename BIOS ID from D0115 to R0016
================================================================================
      				D0125
================================================================================
Roll back W/A for [E5-2600V4] 2400MHz LRDIMM size missed in power cycling test
EPSD 100251966 : 32GB Hynix LRDIMM size mismatch during cycle test
EPSD 100031669 : Intel SSD AIC SSDPEDMX020T4 Link margin Fail
EPSD 100252478 After saving in setup, PXE boot option is not maintained during reboot
EPSD 100032100 : [E5-2600V4][E5-2600V4 CPU]Hot key F12 without function during POST when boot mode change to UEFI
Sync Grantley RC 3.2.0 code
EPSD 100032112 : SBO function not correct when insert USB device in J3A1 and J8E2
EPSD 100252440 Inversion PCIE card location was detected between Riser slot 1 and slot 2
EPSD 100252718 : Use Angilent Card to inject Poisoned TLP and Surprise Link Down fatal error the function is abnormal.
IpPlan v1.12 update.
IpPlan v1.12 document update.
NO SIGHTING: IpPlan Doc update.
EPSD 100252195 :Clone of: [X] DMI type 41 records is not correct for onboard and IO module NICs.
EPSD 100252209 [X] Syscfg 13.1-15 sets [Snooped Response Wait Time] and [Non-Posted Prefetch] options fail with BIOS R15 + E5-2600V4.
EPSD 100252266 : [E5-2600V4][TGF]Connect Resistor TGF card to Riser slot 2 and set bifurcation to x16, SUT hang at POST screen.
EPSD 100031863 [E5-2600V4][E5-2600V4 CPU]SMBIOS Type 7 L3-Cache associativity should display 20 way not fully.
EPSD 100031758 : [E5-2600V4][E5-2600V4 CPU] Error message not match EPS1.16 at Error manager
Update copyright to 2016
================================================================================
      				D0132
================================================================================
CCB 391: Implement a BIOS setup option to Limit PWM to a maximum value similar to Purley
EPSD 100252598 : [x] Add more DIMM support -- supported DIMM informaiton can't be shown correctly in SMBIOS Table Memory information
EPSD 100032105 : [E5-2600V4][E5-2600V4 CPU] Error message of memory channel A not match other Channel.
Update ME to 03.01.03.032
EPSD 100032453 [E5-2600V4][E5-2600V4 CPU]The String not right at IOU Non-Posted Prefetch Control in BIOS Setup.
EPSD 100251776 [S2600WT] VR Watchdog reports it has been asserted after Global reset(Update ACM to v3.0.5)
hidden "Platform type input for SPD page selection"
BIOS workaround for EPSD 100031139 [Switch]The DPC function couldn't work on the PCIe switch AIC via Switch AIC
EPSD 100032467 [E5-2600V4][E5-2600V4 CPU] Press Hot key F6 , F12 will not display any screens describe during POST
EPSD 100252973 : NTB performance drop with DMA-enabled
         Notes: Need to disable Relaxed Ordering under IIO configuration setup menu when DMA-enabled in NTB Linux driver.  
================================================================================
      				D0136
================================================================================
EPSD 100253299 : 4x4x4x4 on Slot5 for S2600CW2SR
EPSD 100253233 : CC_SPARE bits not cleared in accordance with E5-2600V3 spec update (CDI # 550584) errata HSE22S - may cause NVMe issues
EPSD 100253548 : Fan PWM Limit default value and operational range are wrong
================================================================================
      				D0137
================================================================================
EPSD 100253648 : Grantley memory RAS feature ECC error Leaky Bucket decay time window is set to 100 days, which is too long.

================================================================================
      				R0017
================================================================================
Rename BIOS ID from D0137 to R0017

================================================================================
      				D0140
================================================================================
EPSD 100253916 : The default value of BIOS setup option [Snooped Response Wait Time for Posted Prefetch] is not correct during R9 to R16 update 
EPSD 100254004 : Security Fix for Grantley SmmRuntime driver 
================================================================================
      				R0018
================================================================================
Rename BIOS ID from D0140 to R0018
================================================================================
      				D0144
================================================================================
EPSD 100253867 : [x] Customer reports the BIOS settings can not load user default
EPSD 100254081 : [X] To enable TXT is required to load BIOS default during BIOS R0016 update
EPSD 100252975 Staggered spin-up is not working properly on R2308WTTYSR causing 240VA trip 
Update RC code to 3.6.0
ACM binary update V3.1.0 
Update E5-2600V4 uCode to 0b00001b 
EPSD 100254244 : MCE Error regarding QPI on Grantley Systems
================================================================================
      				D0146
================================================================================
EPSD 100253725 [E5-2600V4] SMBIOS Type10 and Type41 isn't correct under I350 NIC SKU system. 
CCB 427: To support ITK/Syscfg to adjust UEFI mode boot order. 
EPSD 100034249 : [E5-2600V4] Partition Row Position field value is repeated if there are multiple Type 20 structures
================================================================================
      				D0154
================================================================================
EPSD 100034250 : [E5-2600V4] Slot ID shown in type9 is different from PciSlotTest.efi shown.
SmbiosDataUpdateDxeWildcatPass inf is missed
SMBIOS Type 16 Physical Memory Array update
EPSD 100034655 : [E5-2600V4] Some of IO Module information not gray out in NIC Configuration page. 
EPSD 100034648 : [E5-2600V4] "Current SecureBoot State" is not grey out, it just information only. 
EPSD 100034500 : [E5-2600V4] system will auto shutdown on POST code 0x62 when plug-in 1DPC Micron 8G memory. 
According to the reprovisioning guidance, the TPM NV indices were changed, BIOS code should follow. 
EPSD 100034728 [E5-2600V4] system will auto reset when disable NIC1 Controller on S2600WT platform. 
CCB#472 - Add an ITK option in BIOS for KNLTLP USB bridge board over current workaround.
EPSD 100252480 [win2016precert]Assurance AQ test item failed for TPM
CCB462 - Memory speed support POR+1 for E5-2600V4 
================================================================================
      				R0019
================================================================================
Rename BIOS ID from D0154 to R0019 
================================================================================
      				D0163
================================================================================
CCB 480: To support OEM activation feature in ITK on Grantley 
EPSD 100255536 : Boot order in UEFI mode doesn’t change to default after saving changes and resetting system 
Update ucode 00000039 for E5-2600V3, 0b00001f for E5-2600V4 
Update ME to 03.01.03.043 
CCB 466: To support early VGA video display on Grantley
EPSD 100035007 The screen which is provided for user to confirm TPM2 clear operation. 
Fix chipsec security Test failed in SMI 0x26, 0x28 and 0xef(BIOS Security enhancement for SMM communication buffer)  
================================================================================
      				D0170
================================================================================
EPSD 100034250 - [E5-2600V4] Slot ID shown in type9 is different from PciSlotTest.efi shown 
CCB488: Provide an option to enable/disable SSC in BIOS Setup Menu 
Update RC to 3.9.0 
EPSD 100035506 : [E5-2600V4] SMBIOS Type 9 structures are wrong on WCP with some riser cards configurations 
================================================================================
      				D0172
================================================================================
EPSD 100035920: System will hang on diagnostic screen when press F2/F6 button continuous under MFG mode 
EPSD 100255932: Fix remote terminal show corrupt BIOS Setup screen when Console Redirection Baud Rate is 9.6k/19.2k/38.4k/57.6k issue
================================================================================
      				R0020
================================================================================
Rename BIOS ID from D0172 to R0020  
================================================================================
      				D0181
================================================================================ 
CCB#483: Allow ITK to change SMBIOS table OEM Strings (Type 11)
EPSD 100256184:Fix issue PCIe card is not receiving IRQs in the second slot of customer riser
CCB1713: Add an option in ITK to allow customer to enable/disable Spread Spectrum Clock (SSC) 
EPSD 100036011: [E5-2600V4] SMBIOS have some problem in the BCP24HDD platform with SAS bridge board 
EPSD 100036147: [E5-2600V4] Serial Port / eUSB should belong internal device not external device in SMBIOS Type8
[HSD-ES][2103614071][E5-2600V4] BMC version show wrong in diagnostic screen 
EPSD 100036010: [E5-2600V4] COM Port amount in Windows Device Manager does not match BIOS Serial Port setting 
Update RC code to v4.0.0 
EPSD 100255807: Some modules are failed in existing vulnerability test by running command "chipsec_main.py"--- fix C-State lock issue 
EPSD 100255807: Some modules are failed in existing vulnerability test by running command "chipsec_main.py"--- fix MsUnitDeviceFunctionHideLock issue  
================================================================================
      				D0187
================================================================================
EPSD 100036120 : [E5-2600V4] Press F2/F6/F12 on clear ownership interactive page will see unexpected message show up 
HSD-ES 2103614916: [E5-2600V4] A typo in the help text of Crosslink control override option, it should be DSDUSP
HSD-ES 2103614926: UUT will halt when first 32bit of IPv6 Address/Gateway are set to a value over 32bit 
HSD-ES 1504411152: Grantley Boot performance issue (6 - 8 seconds) reported by customer inside BIOS ACPI _OSC method
HSD-ES 2006614580: Legacy Network Device Boot Order still boots after disabling
Update ucode 0000003a for E5-2600V3, 0b000020 for E5-2600V4  
================================================================================
      				R0021
================================================================================
Rename BIOS ID from D0187 to R0021  
================================================================================
      				D0192
================================================================================ 
CCB#1885: [S2600TP] Command line mechanism enable/disable clock
CCB#1842: Add support for Unigen and Wintec DIMMs in BIOS release candidates
CCB#1848: ITK options to tune PCIe TxEq adjustment features to support 3rd party add-in card or riser card
[HSD-ES][1209605550]: System fails to throttle the CPU during temperature testing of dual 1100W Power Supplies 
[HSD-ES][2103616038]: [E5-2600V4] The Dedicated Management LAN Configuration field can be edited when set IPv6 Source of this field is set to Auto. 
[HSD-ES][2103616035]: [E5-2600V4] The BMC User name can set to unmatched EPS. 
================================================================================
      				D0194
================================================================================ 
[HSD-ES][1504474611]: [E5-2600V4] No DIMM Disabled error log for the DIMM slot in which the SPD-failed DIMM is installed 
CCB#1919: To add [Onboard VGA Always On] BIOS ITK/Setup option to support new GPGPU usage model
================================================================================
      				D0199
================================================================================  
[HSD-ES][1504488116]: [E5-2600V4] The disabled boot device will be changed to available when system retries non-EFI-based boot options
[HSD-ES][1504483658]: CPU configuration lock bit is not set with default Setup setting 
[HSD-ES][1504437958]: [SDLS4]REACT-2017-1-OpenSSL upgrade for security vulnerability 
================================================================================
      				R0022
================================================================================
Rename BIOS ID from D0199 to R0022 
================================================================================
      				D0222
================================================================================
[HSD-ES][2006649625]: [S2600TP] BIOS is not able to identify a Viking NVDIMM module during RMT testing. 
[HSD-ES][1504522226]: System can't boot when bad memory DIMM is inserted into system, expect to isolate and continue to boot 
[HSD-ES][1504535349]: [E5-2600V4] The warning message is incorrect when set AdminUser PWD the same. 
Update RC code to V4.3.0  
[HSD-ES][2006666280]: The BIOS Setup Bifurcation option does not work for two x8 devices on Riser Slot 2 
CCB#1950: Customer asks for change SMBIOS family field in BIOS with ITK 
Update ucode 0b000021 for E5-2600 v4  
================================================================================
      				D0227
================================================================================
[HSD-ES][1504576044]: System Boot Timeout function not working if enable Power On Password 
[HSD-ES][1504570452]: [E5-2600V4]Run chipsec module "python chipsec_main.py -v -m tools.sw_seq" and "python chipsec_main.py -v -m tools.spi_wrsdis" return failed 
[HSD-ES][2103619426]: [S2600TP] Serial Port should belong internal device not external device in SMBIOS Type8 
================================================================================
      				D0228
================================================================================
Update E5-2600 v3 ucode to 0000003b, E5-2600 v4 ucode to 0b000025 
[HSD-ES][1504648192] FRB watchdog in BIOS does not work when memory initialization failure happens on S2600TP motherboard   
================================================================================
      				D0229
================================================================================ 
Fixed FIT table 2K alignment issue. 
[HSD-ES][1504535349]: [E5-2600 v4] SUT will hang up during POST on BIOS R0023 when power on with single QK7S CPU. 
================================================================================
      				D0231
================================================================================ 
Update E5-2600 v3 ucode to 0000003c, E5-2600 v4 ucode to 0b00002a 
Update the copyright to 2018 
================================================================================
                    D0232
================================================================================
Update E5-2600 v4 ucode to 0b00002b 
================================================================================
      				R0023
================================================================================
Rename BIOS ID from D0232 to R0023  
================================================================================
      				R0024
================================================================================
Roll back BDW ucode to 0b00002a   
================================================================================
				    D0238
================================================================================
[HSD-ES][1504682207]: Unable to successfully boot after disabling PXE port with ITK
[HSD-ES][2006712013]: Unable to boot PXE using Intel X710 10 GbE NICs on Legacy Mode
Update ME to 03.01.03.050
CCB#2226 - [Grantely] Add Infineon FW update capability support in BIOS and UEFI application
Update microcode BDW to 0b00002c
================================================================================
				    D0244
================================================================================
Sync up PSIRI-BIOS-2018-002 changes from Grantley CRB
Update the Security Rvision:0909
[HSD-ES][2006705402][S2600KP][Windows Server 2012 R2] ACPI_BIOS_ERROR BSOD
[HSD-ES][1506126070] Some items failed when running  command "chipsec_main.py"
Update microcode BDW to 0b00002e
Update microcode HSW to 0000003d
Update RC V4.4
================================================================================
      				R0027
================================================================================
Change the BIOS ID from D0244 to R0027
================================================================================
				    D0249
================================================================================
[HSD-ES][1506741623]:FW-UEFI-Vuln-2018-031 - Dynamic loops accessing one element beyond boundary due to <= operator
Update ME to 03.01.03.051
Update BDW microcode to 0b000030
Update HSW microcode to 0000003e
Update the Security Revision:1010
================================================================================
      				R0028
================================================================================
Change the BIOS ID from D0249 to R0028
